atapi_drain_needed
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

atapi_drain_needed — Check whether data transfer may overflow

## Synopsis

`int atapi_drain_needed (` | struct request * | rq`)`;

## Arguments

`rq`

  request to be checked

## Description

ATAPI commands which transfer variable length data to host might overflow due to application error or hardare bug. This function checks whether overflow should be drained and ignored for `request`.

## LOCKING

None.

## RETURNS

1 if ; otherwise, 0.

Prev | Up | Next
ata_gen_ata_sense | Home | ata_scsi_start_stop_xlat